#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	# we already defines the flags through dpkg-buildflags, we don't need
	# thus to use relwithdebinfo, which is defining -DNDEBUG which are
	# breaking the tests
	dh_auto_configure -- -DCMAKE_BUILD_TYPE='' -DENABLE_UBUNTU_COMPAT=ON
